GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/m68k-bsd-tdep.c File Reference
`#include "defs.h"`
`#include "arch-utils.h"`
`#include "frame.h"`
`#include "osabi.h"`
`#include "regcache.h"`
`#include "regset.h"`
`#include "trad-frame.h"`
`#include "tramp-frame.h"`
`#include "gdbtypes.h"`
`#include "m68k-tdep.h"`
`#include "solib-svr4.h"`

Go to the source code of this file.

## Macros
#define | M68KBSD_SIZEOF_GREGS (18 * 4)
#define | M68KBSD_SIZEOF_FPREGS (((8 * 3) + 3) * 4)

## Functions
int | m68kbsd_fpreg_offset (struct gdbarch *gdbarch, int regnum)
static void | m68kbsd_supply_fpregset (const struct regset *regset, struct regcache *regcache, int regnum, const void *fpregs, size_t len)
static void | m68kbsd_supply_gregset (const struct regset *regset, struct regcache *regcache, int regnum, const void *gregs, size_t len)
static void | m68kbsd_iterate_over_regset_sections (struct gdbarch *gdbarch, iterate_over_regset_sections_cb *cb, void *cb_data, const struct regcache *regcache)
static void | m68kbsd_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_m68kbsd_tdep (void)

## Variables
static const struct regset | m68kbsd_gregset
static const struct regset | m68kbsd_fpregset

## Macro Definition Documentation

## ◆ M68KBSD_SIZEOF_FPREGS

#define M68KBSD_SIZEOF_FPREGS (((8 * 3) + 3) * 4)

Definition at line 39 of file m68k-bsd-tdep.c.

Referenced by m68kbsd_iterate_over_regset_sections(), m68kbsd_supply_fpregset(), and m68kbsd_supply_gregset().

## ◆ M68KBSD_SIZEOF_GREGS

#define M68KBSD_SIZEOF_GREGS (18 * 4)

Definition at line 36 of file m68k-bsd-tdep.c.

Referenced by m68kbsd_iterate_over_regset_sections(), and m68kbsd_supply_gregset().

## Function Documentation

## ◆ _initialize_m68kbsd_tdep()

void _initialize_m68kbsd_tdep | ( | void |  | ) |

Definition at line 155 of file m68k-bsd-tdep.c.

References GDB_OSABI_NETBSD, gdbarch_register_osabi(), and m68kbsd_init_abi().

## ◆ m68kbsd_fpreg_offset()

int m68kbsd_fpreg_offset | ( | struct gdbarch * | gdbarch,
|  | int | regnum
| ) |  |

Definition at line 42 of file m68k-bsd-tdep.c.

References gdbarch_register_type(), M68K_FP0_REGNUM, M68K_FPC_REGNUM, regnum, and TYPE_LENGTH.

Referenced by m68kbsd_collect_fpregset(), and m68kbsd_supply_fpregset().

## ◆ m68kbsd_init_abi()

static void m68kbsd_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 133 of file m68k-bsd-tdep.c.

References gdbarch_tdep(), gdbarch_tdep::jb_elt_size, gdbarch_tdep::jb_pc, m68k_svr4_init_abi(), m68kbsd_iterate_over_regset_sections(), pcc_struct_return, set_gdbarch_decr_pc_after_break(), set_gdbarch_iterate_over_regset_sections(), set_solib_svr4_fetch_link_map_offsets(), gdbarch_tdep::struct_return, and svr4_ilp32_fetch_link_map_offsets().

Referenced by _initialize_m68kbsd_tdep().

## ◆ m68kbsd_iterate_over_regset_sections()

static void m68kbsd_iterate_over_regset_sections | ( | struct gdbarch * | gdbarch,
|  | iterate_over_regset_sections_cb * | cb,
|  | void * | cb_data,
|  | const struct regcache * | regcache
| ) |  |
| static

Definition at line 122 of file m68k-bsd-tdep.c.

References m68kbsd_fpregset, m68kbsd_gregset, M68KBSD_SIZEOF_FPREGS, and M68KBSD_SIZEOF_GREGS.

Referenced by m68kbsd_init_abi().

## ◆ m68kbsd_supply_fpregset()

static void m68kbsd_supply_fpregset | ( | const struct regset * | regset,
|  | struct regcache * | regcache,
|  | int | regnum,
|  | const void * | fpregs,
|  | size_t | len
| ) |  |
| static

Definition at line 57 of file m68k-bsd-tdep.c.

References regcache::arch(), gdb_assert, M68K_FP0_REGNUM, M68K_PC_REGNUM, m68kbsd_fpreg_offset(), M68KBSD_SIZEOF_FPREGS, regcache_raw_supply(), and regnum.

Referenced by m68kbsd_supply_gregset().

## ◆ m68kbsd_supply_gregset()

static void m68kbsd_supply_gregset | ( | const struct regset * | regset,
|  | struct regcache * | regcache,
|  | int | regnum,
|  | const void * | gregs,
|  | size_t | len
| ) |  |
| static

Definition at line 80 of file m68k-bsd-tdep.c.

References gdb_assert, M68K_D0_REGNUM, M68K_PC_REGNUM, M68KBSD_SIZEOF_FPREGS, M68KBSD_SIZEOF_GREGS, m68kbsd_supply_fpregset(), regcache_raw_supply(), and regnum.

## Variable Documentation

## ◆ m68kbsd_fpregset

const struct regset m68kbsd_fpregset
| static

Initial value:
=
{
NULL,
m68kbsd_supply_fpregset
}
m68kbsd_supply_fpregset
static void m68kbsd_supply_fpregset(const struct regset *regset, struct regcache *regcache, int regnum, const void *fpregs, size_t len)
Definition: m68k-bsd-tdep.c:57

Definition at line 113 of file m68k-bsd-tdep.c.

Referenced by m68kbsd_iterate_over_regset_sections().

## ◆ m68kbsd_gregset

const struct regset m68kbsd_gregset
| static

Initial value:
=
{
NULL,
m68kbsd_supply_gregset,
NULL,
REGSET_VARIABLE_SIZE
}
m68kbsd_supply_gregset
static void m68kbsd_supply_gregset(const struct regset *regset, struct regcache *regcache, int regnum, const void *gregs, size_t len)
Definition: m68k-bsd-tdep.c:80
REGSET_VARIABLE_SIZE
#define REGSET_VARIABLE_SIZE
Definition: regset.h:52

Definition at line 105 of file m68k-bsd-tdep.c.

Referenced by m68kbsd_iterate_over_regset_sections().